% imageTF.m
%
%
% displays a time-frequency distribution
%
% input - M : time-frequency matrix
%       - dyn : dynamic range (in dB)
%       - c : choice of colormap, 1 = colour (default), else = b&w
%       - b : colorbar, 1 = yes (default), else = no
%
%---------------------------------------------------------------------------
% Part of toolbox: TEST_STATIONARITY_DEMO
%
% Author: Patrick Flandrin 
% 09/2005
%---------------------------------------------------------------------------
%

function imageRTF(M, dyn, DeltaT) ;

L = size(M,2) * DeltaT;
fz = 20;

S = size(M);
Q = M(:);
q = quantile(Q, 0.999);
M(find(M>q)) = q;
M = M/max(max(M)) ;
M = max(M,10^(-dyn/10)) ;

    % in log scale
%imagesc([0, L],[0, 1/(2*DeltaT)], (10*log10(M)), [-dyn 0])

    % in linear scale
imagesc([0, L],[0, 1/(2*DeltaT)], M)
set(gca, 'fontsize', fz);
set(gca,'YDir','normal')
